Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingEvaluator.UrlMappingBuilder.ParentResource

- org.grails.web.mapping.DefaultUrlMappingEvaluator.UrlMappingBuilder.ParentResource

-     class DefaultUrlMappingEvaluator.UrlMappingBuilder.ParentResource

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `controllerName` |
    `boolean` | `isGroup` |
    `boolean` | `isSingle` |
    `java.lang.String` | `uri` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ParentResource (java.lang.String controllerName, java.lang.String uri, boolean single)`
    `ParentResource (java.lang.String controllerName, java.lang.String uri, boolean single, boolean group)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### java.lang.String controllerName

    - #### boolean isGroup

    - #### boolean isSingle

    - #### java.lang.String uri

  - ### Constructor Detail

    - #### ParentResource(java.lang.String controllerName, java.lang.String uri, boolean single)

    - #### ParentResource(java.lang.String controllerName, java.lang.String uri, boolean single, boolean group)